Oracle Linux 8:java-17-openjdk (ELSA-2022-0161)

medium Nessus Plugin ID 156910

概要

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

說明

遠端 Oracle Linux 8 主機中安裝的套件受到 ELSA-2022-0161 公告中提及的多個弱點影響。

- Oracle Java SE 的 Oracle Java SE 和 Oracle GraalVM 企業版產品中的弱點 (元件:JAXP)。受影響的支援版本是 Oracle Java SE:7u321、8u311、11.0.13、17.01;
Oracle GraalVM 企業版:20.3.4 和 21.3.0。此弱點較易攻擊成功,能夠透過多個通訊協定存取網路的未經驗證攻擊者可惡意利用此弱點入侵 Oracle Java SE、Oracle GraalVM 企業版。若成功攻擊此弱點,則可能導致在未經授權的情況下讀取 Oracle Java SE、Oracle GraalVM 企業版的部分可存取資料。注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (機密性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)。
(CVE-2022-21282、CVE-2022-21296)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Libraries)。Supported versions that are affected are Oracle Java SE:11.0.13、17.01;Oracle GraalVM 企業版:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. 若成功攻擊此弱點,則可能導致在未經授權的情況下造成 Oracle Java SE、Oracle GraalVM 企業版部分拒絕服務 (部分 DOS)。注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21283)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Libraries)。Supported versions that are affected are Oracle Java SE: 7u321、8u311、11.0.13、17.01;Oracle GraalVM 企業版:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition.
注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21293、CVE-2022-21294、CVE-2022-21340)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: JAXP)。Supported versions that are affected are Oracle Java SE: 7u321、8u311、11.0.13、17.01;
Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition.
注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21299)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Hotspot)。Supported versions that are affected are Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. 若成功攻擊此弱點,則可能導致在未經授權的情況下更新、插入或刪除 Oracle Java SE、Oracle GraalVM 企業版的部分可存取資料。
注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (完整性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N)。
(CVE-2022-21291、CVE-2022-21305)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: ImageIO)。Supported versions that are affected are Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition.
注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21360、CVE-2022-21365)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Serialization)。Supported versions that are affected are Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。攻擊此弱點具有難度,能夠透過多個通訊協定存取網路的未經驗證攻擊者可利用此弱點入侵 Oracle Java SE、Oracle GraalVM 企業版。Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of Oracle Java SE, Oracle GraalVM Enterprise Edition accessible data. 注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 3.7 (完整性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N)。
(CVE-2022-21248)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: ImageIO)。Supported versions that are affected are Oracle Java SE:11.0.13, 17.01; Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition. 注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21277、CVE-2022-21366)

- Vulnerability in the Oracle Java SE, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Serialization)。Supported versions that are affected are Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition:20.3.4 和 21.3.0。Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle Java SE, Oracle GraalVM Enterprise Edition. 注意:此弱點適用於 Java 部署,通常是在執行沙箱 Java Web Start 應用程式或沙箱 Java Applet 的用戶端中,這種部署會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼),並依賴 Java 沙箱獲得安全性。使用指定之元件中的 API 也可以惡意利用此弱點,例如,透過提供資料給 API 的 Web 服務。CVSS 3.1 Base Score 5.3 (可用性影響)。CVSS 向量:(CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。
(CVE-2022-21341)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2022-0161.html

Plugin 詳細資訊

嚴重性: Medium

ID: 156910

檔案名稱: oraclelinux_ELSA-2022-0161.nasl

版本: 1.5

類型: local

代理程式: unix

已發布: 2022/1/20

已更新: 2024/4/10

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Low

分數: 2.2

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.9

媒介: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

CVSS 評分資料來源: CVE-2022-21305

CVSS v3

風險因素: Medium

基本分數: 5.3

時間分數: 4.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:java-17-openjdk, p-cpe:/a:oracle:linux:java-17-openjdk-demo, p-cpe:/a:oracle:linux:java-17-openjdk-demo-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-demo-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-devel, p-cpe:/a:oracle:linux:java-17-openjdk-devel-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-devel-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-headless, p-cpe:/a:oracle:linux:java-17-openjdk-headless-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-headless-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-javadoc, p-cpe:/a:oracle:linux:java-17-openjdk-javadoc-zip, p-cpe:/a:oracle:linux:java-17-openjdk-jmods, p-cpe:/a:oracle:linux:java-17-openjdk-jmods-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-jmods-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-src, p-cpe:/a:oracle:linux:java-17-openjdk-src-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-src-slowdebug, p-cpe:/a:oracle:linux:java-17-openjdk-static-libs, p-cpe:/a:oracle:linux:java-17-openjdk-static-libs-fastdebug, p-cpe:/a:oracle:linux:java-17-openjdk-static-libs-slowdebug

必要的 KB 項目: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2022/1/19

弱點發布日期: 2022/1/18

參考資訊

CVE: CVE-2022-21248, CVE-2022-21277, CVE-2022-21282, CVE-2022-21283, CVE-2022-21291, CVE-2022-21293, CVE-2022-21294, CVE-2022-21296, CVE-2022-21299, CVE-2022-21305, CVE-2022-21340, CVE-2022-21341, CVE-2022-21360, CVE-2022-21365, CVE-2022-21366